/*
 *  Copyright 2010 Jesse Long.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */

package net.rumati.sqlblocks;

import java.util.Collections;
import java.util.LinkedList;
import java.util.List;

public class InsertCommand
{

    private final Table table;
    private final List<ColumnParameterInfo> columns = new LinkedList<ColumnParameterInfo>();

    public InsertCommand(Table table)
    {
        this.table = table;
    }

    public void addValue(String columnName, String parameterKey)
    {
        columns.add(new ColumnParameterInfo(columnName, parameterKey));
    }

    public Table getTable()
    {
        return table;
    }

    List<ColumnParameterInfo> getColumns()
    {
        return Collections.unmodifiableList(columns);
    }
}
